#ifndef DIALOG_H
#define DIALOG_H

#include <QDialog>
#include <QStringList>
#include <QString>
#include <QVector>
#include <QTableWidget>
#include <QTableWidgetItem>
#include <QHeaderView>
#include <QDialogButtonBox>

#include "editor.h"

namespace Ui {
class Dialog;
}

class Dialog : public QDialog
{
    Q_OBJECT

public:
    explicit Dialog(QWidget *parent, QStringList& list, QVector<Editor::Tab>& tabs);
    ~Dialog();

private slots:

    void slotSave();
    void slotDiscard();

signals:

    void signalSave();
    void signalDiscard();

private:
    Ui::Dialog *ui;
};

#endif // DIALOG_H
